Loading...
Searching...
No Matches
caf::io::network::multiplexer::runnable Class Reference

Simple wrapper for runnables. More...

`#include <multiplexer.hpp>`

Inheritance diagram for caf::io::network::multiplexer::runnable:

## Public Member Functions

subtype_t | subtype () const override
| Returns a subtype hint for this object.
void | intrusive_ptr_add_ref_impl () override
| Add a strong reference count to this object.
void | intrusive_ptr_release_impl () override
| Remove a strong reference count from this object.
Public Member Functions inherited from caf::resumable
virtual resume_result | resume (execution_unit *, size_t max_throughput)=0
| Resume any pending computation until it is either finished or needs to be re-scheduled later.
Public Member Functions inherited from caf::ref_counted
| ref_counted (const ref_counted &)
ref_counted & | operator= (const ref_counted &)
void | ref () const noexcept
| Increases reference count by one.
void | deref () const noexcept
| Decreases reference count by one and calls request_deletion when it drops to zero.
bool | unique () const noexcept
| Queries whether there is exactly one reference.
size_t | get_reference_count () const noexcept

## Additional Inherited Members

Public Types inherited from caf::resumable
enum | resume_result { resume_later , awaiting_message , done , shutdown_execution_unit }
| Denotes the state in which a resumable returned from its last call to resume.
enum | subtype_t { unspecified , scheduled_actor , io_actor , function_object }
| Denotes common subtypes of resumable. More...
Protected Attributes inherited from caf::ref_counted
std::atomic< size_t > | rc_
Related Symbols inherited from caf::ref_counted
void | intrusive_ptr_add_ref (const ref_counted *p)
void | intrusive_ptr_release (const ref_counted *p)

## Detailed Description

Simple wrapper for runnables.

## Member Function Documentation

## intrusive_ptr_add_ref_impl()

void caf::io::network::multiplexer::runnable::intrusive_ptr_add_ref_impl | ( |  | ) |

override virtual

Add a strong reference count to this object.

Implements caf::resumable.

## intrusive_ptr_release_impl()

void caf::io::network::multiplexer::runnable::intrusive_ptr_release_impl | ( |  | ) |

override virtual

Remove a strong reference count from this object.

Implements caf::resumable.

## subtype()

subtype_t caf::io::network::multiplexer::runnable::subtype | ( |  | ) | const

override virtual

Returns a subtype hint for this object.

This allows an execution unit to limit processing to a specific set of resumables and delegate other subtypes to dedicated workers.

Reimplemented from caf::resumable.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_io/caf/io/network/multiplexer.hpp